Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# DomainC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "PolicyC.h"`
`#include "ace/post.h"`

Include dependency graph for DomainC.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | _TAO_CORBA_ConstructionPolicy_Proxy_Broker
class | _TAO_CORBA_ConstructionPolicy_Proxy_Impl
class | _TAO_CORBA_ConstructionPolicy_Remote_Proxy_Broker
class | _TAO_CORBA_ConstructionPolicy_Remote_Proxy_Impl
class | _TAO_CORBA_DomainManager_Proxy_Broker
class | _TAO_CORBA_DomainManager_Proxy_Impl
class | _TAO_CORBA_DomainManager_Remote_Proxy_Broker
class | _TAO_CORBA_DomainManager_Remote_Proxy_Impl
class | _TAO_Unbounded_Object_Sequence_CORBA_DomainManagerList
class | CORBA_ConstructionPolicy
class | CORBA_ConstructionPolicy_out
class | CORBA_ConstructionPolicy_var
class | CORBA_DomainManager
class | CORBA_DomainManager_out
class | CORBA_DomainManager_var
class | CORBA_DomainManagerList
class | CORBA_DomainManagerList_out
class | CORBA_DomainManagerList_var
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_DOMAINMANAGER___PTR_CH_
#define | _CORBA_DOMAINMANAGER___VAR_CH_
#define | _CORBA_DOMAINMANAGER___OUT_CH_
#define | _CORBA_DOMAINMANAGER_CH_
#define | _CORBA_CONSTRUCTIONPOLICY___PTR_CH_
#define | _CORBA_CONSTRUCTIONPOLICY___VAR_CH_
#define | _CORBA_CONSTRUCTIONPOLICY___OUT_CH_
#define | _CORBA_CONSTRUCTIONPOLICY_CH_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_CORBA_DOMAINMANAGERLIST_CH_
#define | _CORBA_DOMAINMANAGERLIST_CH_
#define | _CORBA_DOMAINMANAGERLIST___VAR_CH_
#define | _CORBA_DOMAINMANAGERLIST___OUT_CH_
## Functions
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA_DomainManager *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA_ConstructionPolicy *&)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

#define _CORBA_CONSTRUCTIONPOLICY_CH_

#define _CORBA_CONSTRUCTIONPOLICY___OUT_CH_

#define _CORBA_CONSTRUCTIONPOLICY___PTR_CH_

#define _CORBA_CONSTRUCTIONPOLICY___VAR_CH_

#define _CORBA_DOMAINMANAGERLIST_CH_

#define _CORBA_DOMAINMANAGERLIST___OUT_CH_

#define _CORBA_DOMAINMANAGERLIST___VAR_CH_

#define _CORBA_DOMAINMANAGER_CH_

#define _CORBA_DOMAINMANAGER___OUT_CH_

#define _CORBA_DOMAINMANAGER___PTR_CH_

#define _CORBA_DOMAINMANAGER___VAR_CH_

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_CORBA_DOMAINMANAGERLIST_CH_

## Function Documentation

TAO_Export CORBA::Boolean operator>>= ( | const CORBA::Any &,
| CORBA_ConstructionPolicy *& )

TAO_Export CORBA::Boolean operator>>= ( | const CORBA::Any &,
| CORBA_DomainManager *& )